Retrieves an object of the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "c6586378-1bdb-46d8-be6c-761027c36fb8",
"_parent_id": "aced2311-34a1-45ce-8541-bc30d589a69f",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "24b7e66f-6f72-4d94-953e-7e91a732830d",
"company_id": "eb2db4f1-a6fe-4e7e-acce-9241f547bec5",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "b9bb4f47-9632-4ae7-b58d-b13cc57c8b8a",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "51920b70-85d6-42bf-8ff6-9c9b594bf4e4",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "03abeb47-ea99-471f-8cd0-b26595f06ce4",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "594b8dab-6bff-4ad4-9554-704830740c26",
"company_code": "sample string 5",
"company": {
"id": "0be1d762-77fe-4944-b4e3-9c2fbbba9a51",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-13T08:57:39.0412417+00:00",
"sales_territory_id": "766152f6-4ada-417e-9b93-2b8e29399466",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "ad2b062b-47a4-42d6-b150-6aa324fbf4b4",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "223ddd54-97d2-4a0b-982a-5255e17c17ec",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2090e0d0-18c9-4688-bbfd-5a964664e6ac",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d90ac47e-d5aa-4a08-9dab-9024c75d7ec9",
"db_currency_id": "262dad33-7f0c-46a5-b8c6-a97932e1589d",
"db_language_id": "6760c8c9-cf0e-4548-94ce-eda5165655c6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T08:57:39.0412417+00:00"
},
"modified_dateutc": "2026-11-13T08:57:39.0412417+00:00"
},
"marketing_segment_id": "453bb0d1-66fb-4fec-87bd-4a6b4323508c",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "b34c88df-e428-46a4-9d7e-5ec821f7b149",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "d04fe211-9f0b-4f6a-bc7d-c6731bbf9158",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "888be6a7-2863-4163-acb5-bc4bca49e742",
"db_country_code": "sample string 28",
"feelist_id": "91510f58-2aa9-4394-aef2-ee896118ea7f",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "d24e478a-2eb7-4012-99ad-8c37d29ad0b5",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "bb438f81-5a85-4e69-99e1-a2aa32b04f1f",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-13T08:57:39.0523226+00:00",
"db_currency_id": "c206d580-225e-4480-ae7f-12bc571adb6d",
"db_currency_code": "sample string 10"
},
"company_type_id": "0125b7b0-3c68-48e3-8a66-5fd69d1c7685",
"company_type_name": "sample string 32",
"company_type": {
"id": "429ccb26-9c90-4fe2-8bf0-4fdaba748f79",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "11d1d6a9-5715-4759-928c-67e8aa8943d0",
"sales_organization_code": "sample string 5"
},
"db_language_id": "cf853a1f-55fb-42d8-9d25-0edee0bc4434",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "80901602-9f30-4844-8aa5-9de86385399d",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "72dd4744-7d3b-4024-bc72-fde964848ffd",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "4af31257-de04-4080-b4c8-d482db31dd8b",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-13T08:57:39.0523226+00:00"
},
"company_sector_id": "d974d3b3-08c9-4931-a0b9-889941093f58",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "41bc30ca-a89d-430e-bc1d-a36558715095",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "abd2dea9-f1ce-439e-9029-4f10812b6379",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "4cef6901-5dab-469b-8935-1f0f05d08f86",
"account_manager_user_code": "sample string 56",
"company_status_id": "929c52d1-5fdc-4889-8cdb-b56130f3598a",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-13T08:57:39.0523226+00:00",
"id2": 60
},
"db_language_id": "48f45726-253a-4507-8650-1e3f97d30d11",
"db_language_code": "sample string 7",
"db_title_id": "f1d1c82b-41d5-4c2a-a4eb-eb012f716244",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-13T08:57:39.0523226+00:00",
"create_date": "2026-11-13T08:57:39.0523226+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-13T08:57:39.0523226+00:00"
},
"modified_dateutc": "2026-11-13T08:57:39.0523226+00:00",
"id2": 22
}